package org.processmining.plugins.bpsim;

import java.util.ArrayList;
import java.util.List;

import org.processmining.processtree.Variable;

public abstract class ExpressionGrammar {

	ExpressionGrammar leftClause;
	ExpressionOperator operator;
	ExpressionGrammar rightClause;
	List<Variable> variables = new ArrayList<>();
	List<String> values = new ArrayList<>();
	
	public ExpressionGrammar getLeftClause() {
		return leftClause;
	}
	public void setLeftClause(ExpressionGrammar leftClause) {
		this.leftClause = leftClause;
	}
	public ExpressionOperator getOperator() {
		return operator;
	}
	public void setOperator(ExpressionOperator operator) {
		this.operator = operator;
	}
	public ExpressionGrammar getRightClause() {
		return rightClause;
	}
	public void setRightClause(ExpressionGrammar rightClause) {
		this.rightClause = rightClause;
	}
	public List<Variable> getVariables() {
		return variables;
	}
	public void setVariables(List<Variable> variables) {
		this.variables = variables;
	}
	public void addVariable(Variable var){
		variables.add(var);
	}
	
	public List<String> getValues() {
		return values;
	}
	public void setValues(List<String> values) {
		this.values = values;
	}
	
	public void addValues(String value){
		values.add(value);
	}
		
}
