package org.processmining.plugins.bpsim.constantparameter;

import org.processmining.plugins.bpsim.parameter.ConstantParameter;
import org.processmining.plugins.bpsim.utility.Util;

public class BooleanParameter extends ConstantParameter<Boolean> {
	
	public BooleanParameter(){
		
	}
	
	public String exportBoolean(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:BooleanParameter ";
		if (null != getValidFor()){
			export += "validFor=\"" + getValidFor().getId().replaceAll(" ", "_").toLowerCase() + "\" ";    
		}
				
		export += "value=\"" + getValue() + "\""; 
				
		if (null != getResult()){
			export += " result=\"" + getResult() + "\"";    
		}
		
		if (null != getInstance()){
			export += " instance=\"" + getInstance() + "\"";    
		}
		
		export += "/>" + eol;					
		return export;
	}
	
}
