package org.processmining.plugins.bpsim.constantparameter;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.processmining.plugins.bpsim.parameter.ConstantParameter;
import org.processmining.plugins.bpsim.utility.Util;

public class DateTimeParameter extends ConstantParameter<Date> {
	final private String ISO_FORMAT = "yyyy-MM-dd'T'HH:mm:ss";
	final private SimpleDateFormat sdf = new SimpleDateFormat(ISO_FORMAT);
	
	public DateTimeParameter(){
		
	}
	
	public String exportDateTime(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:DateTimeParameter ";
		if (null != getValidFor()){
			export += "validFor=\"" + getValidFor().getId().replaceAll(" ", "_").toLowerCase() + "\" ";    
		}
		
		export += "value=\"" + sdf.format(getValue()) + "\""; 
			
		if (null != getResult()){
			export += " result=\"" + getResult() + "\"";    
		}
		
		if (null != getInstance()){
			export += "instance=\"" + getInstance() + "\"";    
		}
						
		export += "/>" + eol;					
		return export;
	}
}
