package org.processmining.plugins.bpsim.constantparameter;

import org.processmining.plugins.bpsim.parameter.ConstantParameter;
import org.processmining.plugins.bpsim.scenario.TimeUnit;
import org.processmining.plugins.bpsim.utility.Util;

public class NumericParameter extends ConstantParameter<Long>{
	private TimeUnit timeUnit;
	private String currencyUnit;
	
	public NumericParameter(){
		
	}

	public TimeUnit getTimeUnit() {
		return timeUnit;
	}

	public void setTimeUnit(TimeUnit timeUnit) {
		this.timeUnit = timeUnit;
	}

	public String getCurrencyUnit() {
		return currencyUnit;
	}

	public void setCurrencyUnit(String currencyUnit) {
		this.currencyUnit = currencyUnit;
	}
	
	public String exportNumeric(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:NumericParameter ";
		if (null != getValidFor()){
			export += "validFor=\"" + getValidFor().getId().replaceAll(" ", "_").toLowerCase() + "\" ";    
		}
		
		export += "value=\"" + getValue() + "\""; 
		
		if (null != getResult()){
			export += " result=\"" + getResult() + "\"";    
		}
		
		if (null != getInstance()){
			export += " instance=\"" + getInstance() + "\"";    
		}
		
		if (null != timeUnit){
			export += " timeUnit=\"" + timeUnit.toString() + "\"";
		}
		
		if (null != currencyUnit){
			export += " currencyUnit=\"" + currencyUnit.toString() + "\"";
		}
		export += "/>" + eol;					
		return export;
	}
	
}
