package org.processmining.plugins.bpsim.distributionparameter;

import org.processmining.plugins.bpsim.parameter.DistributionParameter;
import org.processmining.plugins.bpsim.utility.Util;

public class BetaDistribution extends DistributionParameter {
	private float shape;
	private float scale;
	
	public BetaDistribution(){
		
	}

	public float getShape() {
		return shape;
	}

	public void setShape(float shape) {
		this.shape = shape;
	}

	public float getScale() {
		return scale;
	}

	public void setScale(float scale) {
		this.scale = scale;
	}
	
	public String exportBetaDistribution(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:BetaDistribution";
		if (null != getValidFor()){
			export += " validFor=\"" + getValidFor().getId().replaceAll(" ", "_").toLowerCase() + "\"";    
		}
		
		export += " shape=\"" + shape + "\""; 
		export += " scale=\"" + scale + "\""; 
		
		if (null != getResult()){
			export += " result=\"" + getResult() + "\"";    
		}
		
		if (null != getInstance()){
			export += " instance=\"" + getInstance() + "\"";    
		}
		
		if (null != this.getTimeUnit()){
			export += " timeUnit=\"" + this.getTimeUnit() + "\"";
		}
		
		if (null != this.getCurrencyUnit()){
			export += " currencyUnit=\"" + this.getCurrencyUnit() + "\"";
		}
		export += "/>" + eol;					
		return export;
	}
}
