package org.processmining.plugins.bpsim.distributionparameter;

import org.processmining.plugins.bpsim.parameter.DistributionParameter;
import org.processmining.plugins.bpsim.utility.Util;

public class BinomialDistribution extends DistributionParameter {
	private float probability;
	private long trials;
	
	public BinomialDistribution(){
		
	}

	public float getProbability() {
		return probability;
	}

	public void setProbability(float probability) {
		this.probability = probability;
	}

	public long getTrials() {
		return trials;
	}

	public void setTrials(long trials) {
		this.trials = trials;
	}
	
	public String exportBinomialDistribution(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:BinomialDistribution";
		if (null != getValidFor()){
			export += " validFor=\"" + getValidFor().getId().replaceAll(" ", "_").toLowerCase() + "\"";    
		}
		
		export += " probability=\"" + probability + "\""; 
		export += " trials=\"" + trials + "\""; 
		
		if (null != getResult()){
			export += " result=\"" + getResult() + "\"";    
		}
		
		if (null != getInstance()){
			export += " instance=\"" + getInstance() + "\"";    
		}
		
		if (null != this.getTimeUnit()){
			export += " timeUnit=\"" + this.getTimeUnit() + "\"";
		}
		
		if (null != this.getCurrencyUnit()){
			export += " currencyUnit=\"" + this.getCurrencyUnit() + "\"";
		}
		export += "/>" + eol;					
		return export;
	}
	
}
