package org.processmining.plugins.bpsim.distributionparameter;

import org.processmining.plugins.bpsim.parameter.DistributionParameter;
import org.processmining.plugins.bpsim.utility.Util;

public class PoissonDistribution extends DistributionParameter {
	private float mean;
	
	public PoissonDistribution(){
		
	}

	public float getMean() {
		return mean;
	}

	public void setMean(float mean) {
		this.mean = mean;
	}

	public String exportPoissonDistribution(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:PoissonDistribution";
		if (null != getValidFor()){
			export += " validFor=\"" + getValidFor().getId().replaceAll(" ", "_").toLowerCase() + "\"";    
		}
		
		export += " mean=\"" + mean + "\""; 
		
		if (null != getResult()){
			export += " result=\"" + getResult() + "\"";    
		}
		
		if (null != getInstance()){
			export += " instance=\"" + getInstance() + "\"";    
		}
		
		if (null != this.getTimeUnit()){
			export += " timeUnit=\"" + this.getTimeUnit() + "\"";
		}
		
		if (null != this.getCurrencyUnit()){
			export += " currencyUnit=\"" + this.getCurrencyUnit() + "\"";
		}
		export += "/>" + eol;					
		return export;
	}
}
