package org.processmining.plugins.bpsim.distributionparameter;

import org.processmining.plugins.bpsim.parameter.DistributionParameter;
import org.processmining.plugins.bpsim.utility.Util;

public class UniformDistribution extends DistributionParameter {
	private float min;
	private float max;
	
	public UniformDistribution(){
		
	}

	public float getMin() {
		return min;
	}

	public void setMin(float min) {
		this.min = min;
	}

	public float getMax() {
		return max;
	}

	public void setMax(float max) {
		this.max = max;
	}
	
	public String exportUniformDistribution(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:UniformDistribution";
		if (null != getValidFor()){
			export += " validFor=\"" + getValidFor().getId().replaceAll(" ", "_").toLowerCase() + "\"";    
		}
				
		export += " min=\"" + min + "\""; 
		export += " max=\"" + max + "\""; 
		
		if (null != getResult()){
			export += " result=\"" + getResult() + "\"";    
		}
		
		if (null != getInstance()){
			export += " instance=\"" + getInstance() + "\"";    
		}
		
		if (null != this.getTimeUnit()){
			export += " timeUnit=\"" + this.getTimeUnit() + "\"";
		}
		
		if (null != this.getCurrencyUnit()){
			export += " currencyUnit=\"" + this.getCurrencyUnit() + "\"";
		}
		export += "/>" + eol;					
		return export;
	}
}
