package org.processmining.plugins.bpsim.distributionparameter;

import java.util.Collection;
import java.util.HashSet;

import org.processmining.plugins.bpsim.parameter.DistributionParameter;
import org.processmining.plugins.bpsim.utility.Util;

public class UserDistribution extends DistributionParameter {
	private boolean discrete = false;
	
	private Collection<UserDistributionDataPoint> points;
	
	public UserDistribution(){
		points = new HashSet<UserDistributionDataPoint>();		
	}

	public boolean isDiscrete() {
		return discrete;
	}

	public void setDiscrete(boolean discrete) {
		this.discrete = discrete;
	}

	public Collection<UserDistributionDataPoint> getPoints() {
		return points;
	}

	public void setPoints(Collection<UserDistributionDataPoint> points) {
		this.points = points;
	}

	public String exportUserDistribution(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:UserDistribution";
		
		if (null != getValidFor()){
			export += " validFor=\"" + getValidFor().getId().replaceAll(" ", "_").toLowerCase() + "\"";    
		}
		
		if (discrete){
			export += " discrete=\"" + discrete + "\"";    
		}
				
		if (null != getResult()){
			export += " result=\"" + getResult() + "\"";    
		}
		
		if (null != getInstance()){
			export += " instance=\"" + getInstance() + "\"";    
		}
		
		if (null != this.getTimeUnit()){
			export += " timeUnit=\"" + this.getTimeUnit() + "\"";
		}
		
		if (null != this.getCurrencyUnit()){
			export += " currencyUnit=\"" + this.getCurrencyUnit() + "\"";
		}
		
		export += ">" + eol;
		
		for (UserDistributionDataPoint dp: points) {
			export += dp.exportUserDistributionDataPoint(n+1);
		}
		
		export += indent + "</bpsim:UserDistribution>" + eol;						
		return export;
	}
	
	
}
