package org.processmining.plugins.bpsim.elementparameter;

import org.processmining.plugins.bpsim.parameter.Parameter;
import org.processmining.plugins.bpsim.utility.Util;

public class ControlParameters {
	private Parameter interTriggerTimer;
	private Parameter triggerCount;
	private Parameter probability; 
	private Parameter condition;
	
	public ControlParameters(){		
	}

	public Parameter getInterTriggerTimer() {
		return interTriggerTimer;
	}

	public void setInterTriggerTimer(Parameter interTriggerTimer) {
		this.interTriggerTimer = interTriggerTimer;
	}

	public Parameter getTriggerCount() {
		return triggerCount;
	}

	public void setTriggerCount(Parameter triggerCount) {
		this.triggerCount = triggerCount;
	}

	public Parameter getProbability() {
		return probability;
	}

	public void setProbability(Parameter probability) {
		this.probability = probability;
	}

	public Parameter getCondition() {
		return condition;
	}

	public void setCondition(Parameter condition) {
		this.condition = condition;
	}
	
	public String exportControlParameter(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:ControlParameters>" + eol;
		System.getProperty("line.indent");
		n++;
		String indent2 = Util.Indent(n);

		if (interTriggerTimer != null){						
			export += indent2 + "<bpsim:InterTriggerTimer>" + eol;
			//parameter value
			export += interTriggerTimer.exportParameter(n+1);
			
			export += indent2 + "</bpsim:InterTriggerTimer>" + eol;
		}
		
		if (triggerCount != null){						
			export += indent2 + "<bpsim:TriggerCount>" + eol;
			//parameter value
			export += triggerCount.exportParameter(n+1);
			
			export += indent2 + "</bpsim:TriggerCount>" + eol;
		}
		
		if (probability != null){						
			export += indent2 + "<bpsim:Probability>" + eol;
			//parameter value
			export += probability.exportParameter(n+1);
			
			export += indent2 + "</bpsim:Probability>" + eol;
		}
		
		if (condition != null){						
			export += indent2 + "<bpsim:Condition>" + eol;
			//parameter value
			export += condition.exportParameter(n+1);
			
			export += indent2 + "</bpsim:Condition>" + eol;
		}
		
		export += indent + "</bpsim:ControlParameters>" + eol;					
		return export;
	}
}
