package org.processmining.plugins.bpsim.elementparameter;

import org.processmining.plugins.bpsim.parameter.Parameter;
import org.processmining.plugins.bpsim.utility.Util;

public class CostParameters {
	private Parameter fixedCost;
	private Parameter unitCost;
	
	public CostParameters(){		
	}

	public Parameter getFixedCost() {
		return fixedCost;
	}

	public void setFixedCost(Parameter fixedCost) {
		this.fixedCost = fixedCost;
	}

	public Parameter getUnitCost() {
		return unitCost;
	}

	public void setUnitCost(Parameter unitCost) {
		this.unitCost = unitCost;
	}
	
	public String exportCostParameter(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:CostParameters>" + eol;
		System.getProperty("line.indent");
		n++;
		String indent2 = Util.Indent(n);
		
		if (fixedCost != null){						
			export += indent2 + "<bpsim:FixedCost>" + eol;
			//parameter value
			export += fixedCost.exportParameter(n+1);
			
			export += indent2 + "</bpsim:FixedCost>" + eol;
		}	
		
		if (unitCost != null){						
			export += indent2 + "<bpsim:UnitCost>" + eol;
			//parameter value
			export += unitCost.exportParameter(n+1);
			
			export += indent2 + "</bpsim:UnitCost>" + eol;
		}					
		
		export += indent + "</bpsim:CostParameters>" + eol;					
		return export;
	}
}
