package org.processmining.plugins.bpsim.elementparameter;

import org.processmining.plugins.bpsim.parameter.Parameter;
import org.processmining.plugins.bpsim.utility.Util;

public class PriorityParameters {
	private Parameter interruptible;
	private Parameter priority;
	
	public PriorityParameters(){		
	}

	public Parameter getInterruptible() {
		return interruptible;
	}

	public void setInterruptible(Parameter interruptible) {
		this.interruptible = interruptible;
	}

	public Parameter getPriority() {
		return priority;
	}

	public void setPriority(Parameter priority) {
		this.priority = priority;
	}
	
	public String exportPriorityParameter(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:PriorityParameters>" + eol;
		System.getProperty("line.indent");
		n++;
		String indent2 = Util.Indent(n);
		
		if (interruptible != null){						
			export += indent2 + "<bpsim:Interruptible>" + eol;
			//parameter value
			export += interruptible.exportParameter(n+1);
			
			export += indent2 + "</bpsim:Interruptible>" + eol;
		}
		
		if (priority != null){						
			export += indent2 + "<bpsim:PriorityTime>" + eol;
			//parameter value
			export += priority.exportParameter(n+1);
			
			export += indent2 + "</bpsim:PriorityTime>" + eol;
		}					
		
		export += indent + "</bpsim:PriorityParameters>" + eol;					
		return export;
	}
}
