package org.processmining.plugins.bpsim.elementparameter;

import java.util.Collection;

import org.processmining.plugins.bpsim.parameter.Parameter;
import org.processmining.plugins.bpsim.utility.Util;

public class ResourceParameters {
	private Parameter availability;
	private Parameter quantity;
	private Parameter selection;
	private Collection<Parameter> role;
	
	public ResourceParameters(){		
	}

	public Parameter getAvailability() {
		return availability;
	}

	public void setAvailability(Parameter availability) {
		this.availability = availability;
	}

	public Parameter getQuantity() {
		return quantity;
	}

	public void setQuantity(Parameter quantity) {
		this.quantity = quantity;
	}

	public Parameter getSelection() {
		return selection;
	}

	public void setSelection(Parameter selection) {
		this.selection = selection;
	}

	public Collection<Parameter> getRole() {
		return role;
	}

	public void setRole(Collection<Parameter> role) {
		this.role = role;
	}
	
	public String exportResourceParameter(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:ResourceParameters>" + eol;
		System.getProperty("line.indent");
		n++;
		String indent2 = Util.Indent(n);
		if (availability != null){			
			export += indent2 + "<bpsim:Availability>" + eol;
			//parameter value
			export += availability.exportParameter(n+1);
			
			export += indent2 + "</bpsim:Availability>" + eol;
		}
		
		if (quantity != null){			
			export += indent2 + "<bpsim:Quantity>" + eol;
			//parameter value
			export += quantity.exportParameter(n+1);
			
			export += indent2 + "</bpsim:Quantity>" + eol;
		}					
		
		if (selection != null){			
			export += indent2 + "<bpsim:Selection>" + eol;
			//parameter value
			export += selection.exportParameter(n+1);
			
			export += indent2 + "</bpsim:Selection>" + eol;
		}
		
		if (role != null) {	
			export += indent2 + "<bpsim:Role>" + eol;
			for (Parameter p: role) {
				export += p.exportParameter(n+1);
			}
			export += indent2 + "</bpsim:Role>" + eol;
		}		
		
		export += indent + "</bpsim:ResourceParameters>" + eol;					
		return export;
	}
}
