package org.processmining.plugins.bpsim.elementparameter;

import org.processmining.plugins.bpsim.parameter.Parameter;
import org.processmining.plugins.bpsim.utility.Util;

public class TimeParameters {
	private Parameter transferTime;
	private Parameter queueTime;
	private Parameter waitTime;
	private Parameter setupTime;
	private Parameter processingTime;
	private Parameter validationTime;
	private Parameter reworkTime;
	
	public TimeParameters(){		
	}

	public Parameter getTransferTime() {
		return transferTime;
	}

	public void setTransferTime(Parameter transferTime) {
		this.transferTime = transferTime;
	}

	public Parameter getQueueTime() {
		return queueTime;
	}

	public void setQueueTime(Parameter queueTime) {
		this.queueTime = queueTime;
	}

	public Parameter getWaitTime() {
		return waitTime;
	}

	public void setWaitTime(Parameter waitTime) {
		this.waitTime = waitTime;
	}

	public Parameter getSetupTime() {
		return setupTime;
	}

	public void setSetupTime(Parameter setupTime) {
		this.setupTime = setupTime;
	}

	public Parameter getProcessingTime() {
		return processingTime;
	}

	public void setProcessingTime(Parameter processingTime) {
		this.processingTime = processingTime;
	}

	public Parameter getValidationTime() {
		return validationTime;
	}

	public void setValidationTime(Parameter validationTime) {
		this.validationTime = validationTime;
	}

	public Parameter getReworkTime() {
		return reworkTime;
	}

	public void setReworkTime(Parameter reworkTime) {
		this.reworkTime = reworkTime;
	}
	
	public String exportTimeParameter(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:TimeParameters>" + eol;		
		n++;
		String indent2 = Util.Indent(n);
		
		if (transferTime != null){						
			export += indent2 + "<bpsim:TransferTime>" + eol;
			//parameter value
			export += transferTime.exportParameter(n+1);
			
			export += indent2 + "</bpsim:TransferTime>" + eol;
		}
		
		if (queueTime != null){						
			export += indent2 + "<bpsim:QueueTime>" + eol;
			//parameter value
			export += queueTime.exportParameter(n+1);
			
			export += indent2 + "</bpsim:QueueTime>" + eol;
		}
		
		if (waitTime != null){						
			export += indent2 + "<bpsim:WaitTime>" + eol;
			//parameter value
			export += waitTime.exportParameter(n+1);
			
			export += indent2 + "</bpsim:WaitTime>" + eol;
		}
		
		if (setupTime != null){						
			export += indent2 + "<bpsim:SetupTime>" + eol;
			//parameter value
			export += setupTime.exportParameter(n+1);
			
			export += indent2 + "</bpsim:SetupTime>" + eol;
		}
		
		if (processingTime != null){						
			export += indent2 + "<bpsim:ProcessingTime>" + eol;
			//parameter value
			export += processingTime.exportParameter(n+1);
			
			export += indent2 + "</bpsim:ProcessingTime>" + eol;
		}
		
		if (validationTime != null){						
			export += indent2 + "<bpsim:ValidationTime>" + eol;
			//parameter value
			export += validationTime.exportParameter(n+1);
			
			export += indent2 + "</bpsim:ValidationTime>" + eol;
		}
		
		if (reworkTime != null){						
			export += indent2 + "<bpsim:ReworkTime>" + eol;
			//parameter value
			export += reworkTime.exportParameter(n+1);
			
			export += indent2 + "</bpsim:ReworkTime>" + eol;
		}
		
		export += indent + "</bpsim:TimeParameters>" + eol;					
		return export;
	}
	
}
