package org.processmining.plugins.bpsim.exporter;

import java.io.File;
import java.io.IOException;

import org.processmining.contexts.uitopia.annotations.UIExportPlugin;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.plugins.bpsim.scenario.BPSim;

	@Plugin(
		name = "BPSim export", 	
		returnLabels = {}, 
		returnTypes = {}, 
		parameterLabels = {"BPSim", "File"}, 
		userAccessible = true, 
		help = "Exports a BPSim model as a bpmn file"
	)
	@UIExportPlugin(description = "BPMN 2.0: BPSim", extension = "bpmn")

public class BPSimExportStandard {

	@UITopiaVariant(
			affiliation = UITopiaVariant.EHV, 
			author = "T.C. van der Hoek", 
			email = "t.c.v.d.hoek@student.tue.nl"
		)
	@PluginVariant(variantLabel = "BPSim XML (BPMN 2.0) export", requiredParameterLabels = { 0, 1 })
	public void exportCompletePlugin(PluginContext context, BPSim bpsim, File file) throws IOException  {		
		BPSimExport bpsimExport = new BPSimExport();
		bpsimExport.exportPlugin(context, bpsim, file, new boolean[] {false, false});	 		
	}
}
