package org.processmining.plugins.bpsim.extended;

import java.util.Collection;
import java.util.UUID;

import org.processmining.plugins.bpsim.utility.Util;

public class YerkesDodsonInterval {
	private UUID id;
	private Collection<YerkesDodsonIntervalValue> values;
	
	public YerkesDodsonInterval() {
		
	}

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

	public Collection<YerkesDodsonIntervalValue> getValues() {
		return values;
	}

	public void setValues(Collection<YerkesDodsonIntervalValue> values) {
		this.values = values;
	}
	
	public String exportYerkesDodsonInterval(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:YerkesDodsonInterval";				
		
		if (id != null){									
			export += " id=\"" + id + "\"";						
		}
		
		export += ">" + eol;
		
		n++;
		String indent2 = Util.Indent(n);
		
		if (values != null){						
			export += indent2 + "<bpsim:YerkesDodsonIntervalValues>" + eol;

			for (YerkesDodsonIntervalValue ydics: values){
				export += ydics.exportYerkesDodsonIntervalValue(n+1);
			}
			export += indent2 + "</bpsim:YerkesDodsonIntervalValues>" + eol;
		}
						
		export += indent + "</bpsim:YerkesDodsonInterval>" + eol;					
		return export;
	}
		
}


