package org.processmining.plugins.bpsim.extended;

import org.processmining.plugins.bpsim.parameter.Parameter;
import org.processmining.plugins.bpsim.utility.Util;

public class YerkesDodsonIntervalValue {
	private double first;
	private double second;
	private Parameter distribution; 
	
	public YerkesDodsonIntervalValue() {
		
	}

	public double getFirst() {
		return first;
	}

	public void setFirst(double first) {
		this.first = first;
	}

	public double getSecond() {
		return second;
	}

	public void setSecond(double second) {
		this.second = second;
	}

	public Parameter getDistribution() {
		return distribution;
	}

	public void setDistribution(Parameter distribution) {
		this.distribution = distribution;
	}
	
	public String exportYerkesDodsonIntervalValue(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:YerkesDodsonIntervalValue";				
												
		export += " first=\"" + first + "\"";													
		export += " second=\"" + second + "\"";						
				
		export += ">" + eol;
		
		n++;
		String indent2 = Util.Indent(n);
		
		if (distribution != null){						
			export += indent2 + "<bpsim:Distribution>" + eol;			
			export += distribution.exportParameter(n+1);			
			export += indent2 + "</bpsim:Distribution>" + eol;
		}
						
		export += indent + "</bpsim:YerkesDodsonIntervalValue>" + eol;					
		return export;
	}
}
