package org.processmining.plugins.bpsim.parameter;

import org.processmining.plugins.bpsim.constantparameter.BooleanParameter;
import org.processmining.plugins.bpsim.constantparameter.DateTimeParameter;
import org.processmining.plugins.bpsim.constantparameter.DurationParameter;
import org.processmining.plugins.bpsim.constantparameter.FloatingParameter;
import org.processmining.plugins.bpsim.constantparameter.NumericParameter;
import org.processmining.plugins.bpsim.constantparameter.StringParameter;

public class ConstantParameter<K> extends ParameterValue {
	private K value;
	
	public ConstantParameter(){
		
	}

	public K getValue() {
		return value;
	}

	public void setValue(K value) {
		this.value = value;
	}
	
	public String exportConstantParameter(int n) {			
		String export = "";
		
		if (this instanceof StringParameter) {
			StringParameter np = (StringParameter)this;						
			export += np.exportString(n);
		} else if (this instanceof NumericParameter) {
			NumericParameter np = (NumericParameter)this;						
			export += np.exportNumeric(n);
		} else if (this instanceof FloatingParameter) {
			FloatingParameter np = (FloatingParameter)this;						
			export += np.exportFloating(n);
		} else if (this instanceof BooleanParameter) {
			BooleanParameter np = (BooleanParameter)this;						
			export += np.exportBoolean(n);
		} else if (this instanceof DurationParameter) {
			DurationParameter np = (DurationParameter)this;						
			export += np.exportDuration(n);
		} else if (this instanceof DateTimeParameter) {
			DateTimeParameter np = (DateTimeParameter)this;						
			export += np.exportDateTime(n);
		}
				
		return export;
	}

}
