package org.processmining.plugins.bpsim.parameter;

import org.processmining.plugins.bpsim.distributionparameter.BetaDistribution;
import org.processmining.plugins.bpsim.distributionparameter.BinomialDistribution;
import org.processmining.plugins.bpsim.distributionparameter.ErlangDistribution;
import org.processmining.plugins.bpsim.distributionparameter.GammaDistribution;
import org.processmining.plugins.bpsim.distributionparameter.LogNormalDistribution;
import org.processmining.plugins.bpsim.distributionparameter.NegativeExponentialDistribution;
import org.processmining.plugins.bpsim.distributionparameter.NormalDistribution;
import org.processmining.plugins.bpsim.distributionparameter.PoissonDistribution;
import org.processmining.plugins.bpsim.distributionparameter.TriangularDistribution;
import org.processmining.plugins.bpsim.distributionparameter.TruncatedNormalDistribution;
import org.processmining.plugins.bpsim.distributionparameter.UniformDistribution;
import org.processmining.plugins.bpsim.distributionparameter.UserDistribution;
import org.processmining.plugins.bpsim.distributionparameter.WeibullDistribution;
import org.processmining.plugins.bpsim.scenario.TimeUnit;

public class DistributionParameter extends ParameterValue {
	private TimeUnit timeUnit;
	private String currencyUnit;
	
	public DistributionParameter(){
		
	}

	public TimeUnit getTimeUnit() {
		return timeUnit;
	}

	public void setTimeUnit(TimeUnit timeUnit) {
		this.timeUnit = timeUnit;
	}

	public String getCurrencyUnit() {
		return currencyUnit;
	}

	public void setCurrencyUnit(String currencyUnit) {
		this.currencyUnit = currencyUnit;
	}
	
	public String exportDistributionParameter(int n) {			
		String export = "";
			
		if(this instanceof BetaDistribution) {
			BetaDistribution cp = (BetaDistribution)this;
			export += cp.exportBetaDistribution(n);
		} else if(this instanceof BinomialDistribution) {
			BinomialDistribution cp = (BinomialDistribution)this;
			export += cp.exportBinomialDistribution(n);
		} else if(this instanceof ErlangDistribution) {
			ErlangDistribution cp = (ErlangDistribution)this;
			export += cp.exportErlangDistribution(n);
		} else if(this instanceof GammaDistribution) {
			GammaDistribution cp = (GammaDistribution)this;
			export += cp.exportGammaDistribution(n);
		} else if(this instanceof LogNormalDistribution) {
			LogNormalDistribution cp = (LogNormalDistribution)this;
			export += cp.exportLogNormalDistribution(n);
		} else if(this instanceof NegativeExponentialDistribution) {
			NegativeExponentialDistribution cp = (NegativeExponentialDistribution)this;
			export += cp.exportNegativeExponentialDistribution(n);
		} else if(this instanceof NormalDistribution) {
			NormalDistribution cp = (NormalDistribution)this;
			export += cp.exportNormalDistribution(n);
		} else if(this instanceof PoissonDistribution) {
			PoissonDistribution cp = (PoissonDistribution)this;
			export += cp.exportPoissonDistribution(n);
		} else if(this instanceof TriangularDistribution) {
			TriangularDistribution cp = (TriangularDistribution)this;
			export += cp.exportTriangularDistribution(n);
		} else if(this instanceof TruncatedNormalDistribution) {
			TruncatedNormalDistribution cp = (TruncatedNormalDistribution)this;
			export += cp.exportTruncatedNormalDistribution(n);
		} else if(this instanceof UniformDistribution) {
			UniformDistribution cp = (UniformDistribution)this;
			export += cp.exportUniformDistribution(n);
		} else if(this instanceof UserDistribution) {
			UserDistribution cp = (UserDistribution)this;
			export += cp.exportUserDistribution(n);
		} else if(this instanceof WeibullDistribution) {
			WeibullDistribution cp = (WeibullDistribution)this;
			export += cp.exportWeibullDistribution(n);
		}
				
		return export;
	}
}
