package org.processmining.plugins.bpsim.parameter;

import java.util.Collection;
import java.util.HashSet;

import org.processmining.plugins.bpsim.utility.Util;

public class EnumParameter extends ParameterValue {
	private Collection<ConstantParameter> values;
	
	public EnumParameter(){
		values = new HashSet<ConstantParameter>();
		values.add(new ConstantParameter());
	}

	public Collection<ConstantParameter> getValues() {
		return values;
	}

	public void setValues(Collection<ConstantParameter> values) {
		this.values = values;
	}
	
	public String exportEnumParameter(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:EnumParameter ";
		if (null != getValidFor()){
			export += "validFor=\"" + getValidFor().getId().replaceAll(" ", "_").toLowerCase() + "\" ";    
		}		
			
		if (null != getResult()){
			export += " result=\"" + getResult() + "\"";    
		}
		
		if (null != getInstance()){
			export += " instance=\"" + getInstance() + "\"";    
		}
		
		export += ">" + eol;	
		
		for (ConstantParameter cp: values) {
			export += cp.exportConstantParameter(n+1);
		}
		
		export += indent + "</bpsim:EnumParameter>" + eol;
		
		return export;
	}
}
