package org.processmining.plugins.bpsim.parameter;

import java.util.Collection;
import java.util.HashSet;
import java.util.List;

import org.processmining.plugins.bpsim.utility.Util;

public class Parameter {
	private boolean kpi = false;
	private boolean sla = false;
	private List<ResultType> resultRequest;
	
	private Collection<ParameterValue> value;
	
	public Parameter(){	
		value = new HashSet<ParameterValue>();
	}

	public boolean isKpi() {
		return kpi;
	}

	public void setKpi(boolean kpi) {
		this.kpi = kpi;
	}

	public boolean isSla() {
		return sla;
	}

	public void setSla(boolean sla) {
		this.sla = sla;
	}

	public List<ResultType> getResultRequest() {
		return resultRequest;
	}

	public void setResultRequest(List<ResultType> resultRequest) {
		this.resultRequest = resultRequest;
	}

	public Collection<ParameterValue> getValue() {
		return value;
	}

	public void setValue(Collection<ParameterValue> value) {
		this.value = value;
	}
	
	public String exportParameter(int n) {			
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = "";
		
		if (kpi) {
			export += indent + "<Kpi>" + kpi + "</Kpi>" + eol;
		}
		
		if (sla) {
			export += indent + "<Sla>" + sla + "</Sla>" + eol;
		}
		
		if (resultRequest != null) {
			for(ResultType resType: resultRequest){
				export += indent + "<bpsim:ResultRequest>" + resType + "</bpsim:ResultRequest>" + eol;
			}
		}
		
		for (ParameterValue pv: value){			
			export += pv.exportParameterValue(n);							
		}					
							
		return export;
	}
	
}
