package org.processmining.plugins.bpsim.parameter;

public class ParameterValue {	
	private String instance;
	private ResultType result;
	
	private BPSimCalendar validFor;
	
	public ParameterValue(){		
	}

	public String getInstance() {
		return instance;
	}

	public void setInstance(String instance) {
		this.instance = instance;
	}

	public ResultType getResult() {
		return result;
	}

	public void setResult(ResultType result) {
		this.result = result;
	}

	public BPSimCalendar getValidFor() {
		return validFor;
	}

	public void setValidFor(BPSimCalendar validFor) {
		this.validFor = validFor;
	}	
	
	public String exportParameterValue(int n) {			
		String export = "";		
	
		if(this instanceof ConstantParameter) {
			ConstantParameter cp = (ConstantParameter)this;
			export += cp.exportConstantParameter(n);
		} else if(this instanceof EnumParameter) {
			EnumParameter cp = (EnumParameter)this;
			export += cp.exportEnumParameter(n);
		} else if(this instanceof DistributionParameter) {
			DistributionParameter cp = (DistributionParameter)this;
			export += cp.exportDistributionParameter(n);
		} else if(this instanceof ExpressionParameter) {
			ExpressionParameter cp = (ExpressionParameter)this;
			export += cp.exportExpressionParameter(n);
		} 
		
		return export;
	}
}
