package org.processmining.plugins.bpsim.scenario;

import org.processmining.models.graphbased.directed.bpmn.BPMNDiagram;
import org.processmining.plugins.bpmn.BpmnDefinitions;
import org.processmining.plugins.bpsim.utility.Util;

public class BPSim {	
	private BPSimData bpsimData;
	private BPMNDiagram bpmnDiagram; 
	private BpmnDefinitions bpmnDefinitions;
	
	public BPSim() {
			
	}
	
	public BPSimData getBpsimData() {
		return bpsimData;
	}

	public void setBpsimData(BPSimData bpsimData) {
		this.bpsimData = bpsimData;
	}

	@Deprecated
	public BPMNDiagram getBpmnDiagram() {
		return bpmnDiagram;
	}
	
	@Deprecated
	public void setBpmnDiagram(BPMNDiagram bpmnDiagram) {
		this.bpmnDiagram = bpmnDiagram;
	}
	
	public BpmnDefinitions getBpmnDefinitions() {
		return bpmnDefinitions;
	}

	public void setBpmnDefinitions(BpmnDefinitions bpmnDefinitions) {
		this.bpmnDefinitions = bpmnDefinitions;
	}

	public String exportBPSim(int n, boolean[] parameters) {
		String eol = System.getProperty("line.separator");			
		String indent = Util.Indent(n);
		String indent2 = Util.Indent(n+1);
		
		String export = indent + "<relationship type=\"BPSimData\">" + eol;
		export += indent2 + "<extensionElements>" + eol;
		
		export += bpsimData.exportBPSimData(n+2, parameters);
		
		export += indent2 + "</extensionElements>" + eol;
		
		export += indent + "</relationship>" + eol;					
		return export;
	}	
}
