package org.processmining.plugins.bpsim.scenario;

import java.util.Collection;
import java.util.HashSet;

import org.processmining.plugins.bpsim.utility.Util;


final public class BPSimData {
	private Collection<Scenario> scenarios;
	
	public BPSimData() {
		scenarios = new HashSet<Scenario>();		
	}

	public Collection<Scenario> getScenarios() {
		return scenarios;
	}

	public void setScenarios(Collection<Scenario> scenarios) {
		this.scenarios = scenarios;
	}
	
	public String exportBPSimData(int n, boolean[] parameters) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		
		String export = indent + "<bpsim:BPSimData> " + eol;
		for (Scenario scenario: scenarios){
			export += scenario.exportScenario(n+1, parameters);
		}		
		export += indent + "</bpsim:BPSimData>" + eol;					
		return export;
	}
	

}
