package org.processmining.plugins.bpsim.scenario;

import java.util.Map;

import org.processmining.plugins.bpsim.parameter.Parameter;
import org.processmining.plugins.bpsim.utility.Util;

public class PropertyParameters {
	private Map<String, Parameter> property;
	
	public PropertyParameters() {		
	}

	public Map<String, Parameter> getProperty() {
		return property;
	}

	public void setProperty(Map<String, Parameter> property) {
		this.property = property;
	}
	
	public String exportPropertyParameters(int n) {
		String eol = System.getProperty("line.separator");
		String indent = Util.Indent(n);
		String indent2 = Util.Indent(n+1);
		
		String export = indent + "<bpsim:PropertyParameters>" + eol;
		
		for (String key : property.keySet()) {
			export += indent2 + "<bpsim:Property name=\"" + key + "\">" + eol;
			export += property.get(key).exportParameter(n+2); 
			export += indent2 + "</bpsim:Property>" + eol;		
		}
		
		export += indent + "</bpsim:PropertyParameters>" + eol;
		
		return export;
	}
}
